#!/bin/sh
#
# plumbing - C++ wrapper facades for Berkeley sockets
# Copyright (C) 2009 Peter Miller
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License, version 3, as published by the
# Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#
case $# in
2)
    ;;
*)
    echo "Usage: $0 <text> <outfile>" 1>&2
    exit 1
    ;;
esac
text="$1"
outfile=$2

case "$outfile" in
*.png)
    ;;
*)
    echo "The output file must be PNG" 1>&2
    exit 1
    ;;
esac

tmp=/tmp/$$

cat > $tmp.1 << fubar
/DowntheDrain findfont 36 scalefont setfont
72 72 moveto
($text) show
showpage
fubar

gs -q -sDEVICE=pnm -r288 -sOutputFile=$tmp.2 $tmp.1 < /dev/null
pnmscale 0.25 $tmp.2 > $tmp.3
pnmcrop $tmp.3 > $tmp.4
pnmtopng $tmp.4 > $outfile
ls -lh $outfile
rm $tmp.*

exit 0
# vim: set tw=8 sw=4 et
