//
// plumbing - C++ wrapper facades for Berkeley sockets
// Copyright (C) 2009 Peter Miller
//
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License, version 3, as published
// by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
// more details.
//
// You should have received a copy of the GNU General Public License along with
// this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <libplumbing/at/job.h>
#include <libplumbing/at/service.h>


plumbing::at_job::~at_job()
{
    unregister();
}

void
plumbing::at_job::unregister()
{
    if (death_subscriber)
    {
        death_subscriber->unregister_job(this);
        death_subscriber = 0;
    }
}


plumbing::at_job::at_job() :
    death_subscriber(0)
{
}


void
plumbing::at_job::death_subscribe(at_service *sp)
{
    death_subscriber = sp;
}


// vim: set ts=4 et
