//
// plumbing - C++ wrapper facades for Berkeley sockets
// Copyright (C) 2009 Peter Miller
//
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License, version 3, as published
// by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
// more details.
//
// You should have received a copy of the GNU General Public License along with
// this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <libplumbing/endpoint/chargen.h>
#include <libplumbing/endpoint/listener/chargen.h>


plumbing::endpoint_listener_chargen::~endpoint_listener_chargen()
{
}


plumbing::endpoint_listener_chargen::endpoint_listener_chargen(reactor &a_svc,
        const std::string &a_port_number, int a_repeat_count) :
    endpoint_listener(a_svc, a_port_number, a_repeat_count)
{
}


plumbing::endpoint::pointer
plumbing::endpoint_listener_chargen::create(reactor &a_svc,
    const std::string &a_port_number, int a_repeat_count)
{
    return
        pointer
        (
            new endpoint_listener_chargen(a_svc, a_port_number, a_repeat_count)
        );
}


int
plumbing::endpoint_listener_chargen::get_default_port()
    const
{
    int n = parse_port_number("chargen");
    return (n < 0 ? 19 : n);
}


plumbing::endpoint::pointer
plumbing::endpoint_listener_chargen::endpoint_factory(int a_fd, void *, int)
{
    return endpoint_chargen::create(a_fd);
}


// vim: set ts=8 sw=4 et
