//
// plumbing - C++ wrapper facades for Berkeley sockets
// Copyright (C) 2009 Peter Miller
//
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License, version 3, as published
// by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
// more details.
//
// You should have received a copy of the GNU General Public License along with
// this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <cstdio>

#include <libplumbing/logging/stderr.h>
#include <libplumbing/progname.h>


plumbing::logging_stderr::~logging_stderr()
{
}


plumbing::logging_stderr::logging_stderr() :
    logging()
{
}


void
plumbing::logging_stderr::deliver_message_text(const char *txt)
{
    fprintf(stderr, "%s: %s\n", progname_get().c_str(), txt);
}


// vim: ts=4:et
