//
// plumbing - C++ wrapper facades for Berkeley sockets
// Copyright (C) 2009 Peter Miller
//
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License, version 3, as published
// by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
// more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#ifndef LIBPLUMBING_LOGGING_STDERR_H
#define LIBPLUMBING_LOGGING_STDERR_H

#include <libplumbing/logging.h>

namespace plumbing {

/**
  * The plumbing::logging_stderr class is used to represent an error logging
  * destination which uses the standadrd error stream to deliver
  * messages.
  */
class logging_stderr:
    public logging
{
public:
    /**
      * The destructor.
      */
    virtual ~logging_stderr();

    /**
      * The default constructor.
      */
    logging_stderr();

protected:
    // See base class for documentation.
    void deliver_message_text(const char *txt);

private:
    /**
      * The copy constructor.  Do not use.
      */
    logging_stderr(const logging_stderr &);

    /**
      * The assignment operator.  Do not use.
      */
    logging_stderr &operator=(const logging_stderr &);
};


}

#endif // LIBPLUMBING_LOGGING_STDERR_H
// vim: set ts=8 sw=4 et
