//
// plumbing - C++ wrapper facades for Berkeley sockets
// Copyright (C) 2009 Peter Miller
//
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License, version 3, as published
// by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
// more details.
//
// You should have received a copy of the GNU General Public License along with
// this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <libplumbing/logging/tee.h>


plumbing::logging_tee::~logging_tee()
{
}


plumbing::logging_tee::logging_tee(logging *a1, logging *a2) :
    logging(),
    lhs(a1),
    rhs(a2)
{
}


void
plumbing::logging_tee::deliver_message_text(const char *txt)
{
    lhs->deliver_message_text(txt);
    rhs->deliver_message_text(txt);
}


// vim: set ts=8 sw=4 et
