//
// plumbing - C++ wrapper facades for Berkeley sockets
// Copyright (C) 2009 Peter Miller
//
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License, version 3, as published
// by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
// more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#ifndef LIBPLUMBING_PROGNAME_H
#define LIBPLUMBING_PROGNAME_H

#include <string>

namespace plumbing {

/**
  * The plumbing::progname_set function is used by main() to set the
  * name of the currently executing programme.  This is not essential on
  * Linux.
  *
  * @param argv0
  *     The name of the executable.
  */
void progname_set(const char *argv0);

/**
  * The plumbing::progname_get function is used to retrieve the name of
  * the currently executing programme.  Used by error messages.
  */
std::string progname_get(void);

}

#endif // LIBPLUMBING_PROGNAME_H
// vim: set ts=8 sw=4 et
