#!/bin/sh
#
# plumbing - C++ wrapper facades for Berkeley sockets
# Copyright (C) 2009 Peter Miller
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License, version 3, as published by the
# Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="basic client and server"
. test_prelude

PORT=`expr '(' $$ '%' 64512 ')' + 1024`

cat > test.ok << 'fubar'
 1  5 25 test.out
fubar
test $? -eq 0 || no_result

# run the server in the background, one-shot mode
plumbing-daytime-service -d -a -p $PORT &
child=$!
sleep 1

plumbing-dumb-client localhost $PORT > test.out 2> LOG
if test $? -ne 0
then
    cat LOG
    fail
fi

kill -9 $child 2>/dev/null

# Normally we would check the output, but because it changes every
# second, that isn't very helpful.  We just check that something the
# correct shape came back.
wc test.out > test.out2
test $? -eq 0 || no_result

diff test.ok test.out2
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set tw=8 sw=4 et
